var playerName = "TEST";
var playerGroup = null;
var appType = "WF";

var baseOpts = {
    qrCodeBaseUrl: "https://map.abuzz.tech/amap/map.php?site=Toppen_WF",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Ikano_Sans_TT_Light_Regular.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
		_17988_6728_500: { camera: [16151, -5029, 18823], scene: [16251, 8881, 300] }, //Kiosk01 -test

		_4652_8695_500: { camera: [15447, 26116, 16181], scene: [15478, 14190, 300] }, //Original Classic on right -- TSC-WF001-L1-N
		_15045_14262_500: { camera: [16014, -5027, 18823], scene: [16251, 8881, 300] }, //Infront of Max Fashion -- TSC-WF002-L1-E
		_17988_6728_500: { camera: [16151, -5029, 18823], scene: [16251, 8881, 300] }, //Information Counter -- TSC_WF003_L1_W
		_25167_10292_500: { camera: [16656, -5901, 18516], scene: [16763, 8931, 300] }, //Kyochon 1991 on right -- TSC_WF004_L1_S
		_5584_8127_1000: { camera: [14909, 26170, 16893], scene: [14942, 13453, 300] }, //Infront of Kafe Kiri Kanan -- TSC-WF005-L2-N
		_15669_15018_1000: { camera: [25365, 11323, 11030], scene: [16272, 11300, 300] }, //Kids Play'In on left -- TSC-WF006-L2-E
		_15025_5483_1000: { camera: [16151, -5029, 18823], scene: [16251, 8881, 300] }, //Infront of AX Lighting -- TSC-WF007-L2-W
		_25452_9009_1000: { camera: [16151, -5029, 18823], scene: [16251, 8881, 300] }, //Black Canyon on left -- TSC-WF008-L2-S
		_4275_6683_1500: { camera: [16151, -5029, 18823], scene: [16251, 8881, 300] }, //Infront of Shanghai Red-- TSC-WF009-L3-N
		_7072_10929_1500: { camera: [-1639, 9533, 11989], scene: [8668, 9560, 300] }, //Inside Food Empire	 -- TSC-WF010-L3-E
		_13493_7511_1500: { camera: [-1639, 9533, 11989], scene: [8668, 9560, 300] }, //The Pantheon on right -- TSC-WF011-L3-W
		_16417_14653_1500: { camera: [25100, 11970, 12740], scene: [12195, 11970, 300] }, //Infront of The Parenthood -- TSC-WF012-L3-S
		_5976_7967_0: { camera: [14003, 26979, 19798], scene: [14041, 12337, 300] } //Infront of LG PuriCare -- TSC_WF013_P1_N

    },

    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [3, 3, 1],
        animate: false,
        animRotation: [0,0,5],
		neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,
	multiFloorTransition: true,
    heightSpread: 8000,

    clockDateFormat: "dddd, DD MMMM",
    clockTimeFormat: "hh:mm A",
    weatherCity: "Johor"
};

var customMainServicesCodes = ["atm_", "info", "toilets_female", "toilets_male", "prayer_room", "dropoff", "careem_uber", "buses", "rooftop_garden"];

var servicesWithResultsList = ["parking", "careem_uber"];
var servicesWithResultsListSortField = "cellId";